//---------------------------------------------------------------------------

#ifndef frmColorSelViewH
#define frmColorSelViewH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include "CGRID.h"
#include "CSPIN.h"
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TciColorSelView : public TForm
{
__published:	// IDE-managed Components
        TImageList *lsColorImg;
        TColorDialog *ColorDialog1;
        void __fastcall FormShow(TObject *Sender);
private:	// User declarations
        void    CreateMixImages();
        void    setColorToMix();
        TColor  m_SelColor;
        TImage  *m_img[6][3];
        TButton *btnColorSet;
        void __fastcall OnColorImageClick(TObject *Sender);
        void __fastcall OnColorSetClick(TObject *Sender);
public:		// User declarations
        __fastcall TciColorSelView(TComponent* Owner);

        void    CreateMixToImageList(TImageList*);
        void    CreateSelColorToImageList(int index, TImageList*);
        
        TColor  getSelColor();
};
//---------------------------------------------------------------------------
extern PACKAGE TciColorSelView *ciColorSelView;
//---------------------------------------------------------------------------
#endif
