//---------------------------------------------------------------------------

#ifndef caEnvironmentH
#define caEnvironmentH
//---------------------------------------------------------------------------
#include <Inifiles.hpp>
#include <Filectrl.hpp>
//---------------------------------------------------------------------------
#include "caScanFilter.h"
//---------------------------------------------------------------------------
class TEnvironment
{
private:
   int m_nFormTop;
   int m_nFormLeft;
   int m_nFormHeight;
   int m_nFormWidth;
//   int m_nSplitterTop;
   int m_nPreviewHeight;
   bool m_bDocVisible;
   int m_nSavePicIndex;
   int m_nSlideDelay;
   int m_nSeguenceType;
   bool m_bSaveIndex;
   bool m_bRepeat;
   TScanFilter *m_ScanFilter;
   /*
   bool m_bFilterJPG;
   bool m_bFilterBMP;
   */
   AnsiString m_zScanPath;

   AnsiString m_zIniFile;
public:
   __fastcall TEnvironment();
   virtual __fastcall ~TEnvironment();

   void  Load();
   void  Save();

   int getFormTop();
   void setFormTop(int FormTop);
   int getFormLeft();
   void setFormLeft(int FormLeft);
   int getFormHeight();
   void setFormHeight(int FormHeight);
   int getFormWidth();
   void setFormWidth(int FormWidth);
//   int getSplitterTop();
//   void setSplitterTop(int SplitterTop);
   int getPreviewHeight();
   void setPreviewHeight(int PreviewHeight);
   bool getDocVisible();
   void setDocVisible(bool DocVisible);
   AnsiString getScanPath();
   void setScanPath(AnsiString);
   int getSlideDelay();
   void setSlideDelay(int SlideDelay);
   int getSeguenceType();
   void setSeguenceType(int SeguenceType);
   int getSavePicIndex();
   void setSavePicIndex(int SavePicIndex);
   bool getSaveIndex();
   void setSaveIndex(bool SaveIndex);
   bool getRepeat();
   void setRepeat(bool Repeat);
   TScanFilter *getScanFilter();
   void setScanFilter(TScanFilter *ScanFilter);
/*
   bool getFilterJPG();
   void setFilterJPG(bool FilterJPG);
   bool getFilterBMP();
   void setFilterBMP(bool FilterBMP);
*/
};
//---------------------------------------------------------------------------
extern PACKAGE TEnvironment *caEnvironment;
//---------------------------------------------------------------------------
#endif