//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "frmOption.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "CSPIN"
#pragma resource "*.dfm"
TciOptionView *ciOptionView;
//---------------------------------------------------------------------------
__fastcall TciOptionView::TciOptionView(TComponent* Owner)
        : TForm(Owner)
{
   TrackBar1->Min = cseDelay->MinValue;
   TrackBar1->Max = cseDelay->MaxValue;
   TrackBar1->PageSize = 1000; //seDelay->Increment;
}
//---------------------------------------------------------------------------
void TciOptionView::setEnvironment(TEnvironment *evm)
{
   m_evm = evm;

   cseDelay->Text = m_evm->getSlideDelay();
   chkJPG->Checked = m_evm->getScanFilter()->getJPG();
   chkBMP->Checked = m_evm->getScanFilter()->getBMP();
   chkSaveIndex->Checked = m_evm->getSaveIndex();
   chkRepeat->Checked = m_evm->getRepeat();

   switch (m_evm->getSeguenceType()) {
   case m_cst.Forward: rdoForward->Checked = true; break;
   case m_cst.Reverse: rdoReverse->Checked = true; break;
   };
}
//---------------------------------------------------------------------------

void __fastcall TciOptionView::btnOKClick(TObject *Sender)
{
   m_evm->setSlideDelay(cseDelay->Value);
   m_evm->getScanFilter()->setJPG(chkJPG->Checked);
   m_evm->getScanFilter()->setBMP(chkBMP->Checked);
   m_evm->setSaveIndex(chkSaveIndex->Checked);
   m_evm->setRepeat(chkRepeat->Checked);

   if (rdoForward->Checked)
      m_evm->setSeguenceType(m_cst.Forward);
   else
      m_evm->setSeguenceType(m_cst.Reverse);
}
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
void __fastcall TciOptionView::TrackBar1Change(TObject *Sender)
{
   cseDelay->Value = TrackBar1->Position;
}
//---------------------------------------------------------------------------
void __fastcall TciOptionView::cseDelayChange(TObject *Sender)
{
   try{
      TrackBar1->Position = cseDelay->Value;
   }catch(...){
   }
}
//---------------------------------------------------------------------------


